Send emails in batch
curl --request POST \
--url https://api.torpedo.co.mz/api/v1/emails/batch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"emails": [
{
"from": "Acme <hello@myapp.com>",
"to": "alice@example.com",
"subject": "Welcome",
"html": "<h1>Welcome!</h1>"
},
{
"from": "Acme <hello@myapp.com>",
"to": "bob@example.com",
"subject": "Welcome",
"html": "<h1>Welcome!</h1>"
}
]
}
'import requests
url = "https://api.torpedo.co.mz/api/v1/emails/batch"
payload = { "emails": [
{
"from": "Acme <hello@myapp.com>",
"to": "alice@example.com",
"subject": "Welcome",
"html": "<h1>Welcome!</h1>"
},
{
"from": "Acme <hello@myapp.com>",
"to": "bob@example.com",
"subject": "Welcome",
"html": "<h1>Welcome!</h1>"
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: [
{
from: 'Acme <hello@myapp.com>',
to: 'alice@example.com',
subject: 'Welcome',
html: '<h1>Welcome!</h1>'
},
{
from: 'Acme <hello@myapp.com>',
to: 'bob@example.com',
subject: 'Welcome',
html: '<h1>Welcome!</h1>'
}
]
})
};
fetch('https://api.torpedo.co.mz/api/v1/emails/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued"
}
]
}{
"errors": [
{
"message": "Domain not verified",
"field": "from"
}
]
}{
"errors": [
{
"message": "Domain not verified",
"field": "from"
}
]
}{
"errors": [
{
"message": "Domain not verified",
"field": "from"
}
]
}Emails
Send emails in batch
Queues up to N emails (plan-dependent) in a single request. All emails are validated
before any are queued — if any check fails the entire request is rejected.
Returns an array of { id, status } per email in the same order as the input.
Batch size limits by plan:
| Plan | Max emails per batch |
|---|---|
| Launch | 50 |
| Starter | 100 |
| Growth | 500 |
| Scale | 1,000 |
POST
/
api
/
v1
/
emails
/
batch
Send emails in batch
Authorizations
Prefix tor_ followed by a base64url-encoded random key.
Obtain one from POST /api/v1/workspaces or POST /api/v1/auth/keys.
Body
application/json
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
All emails queued for delivery
Show child attributes
Show child attributes
⌘I